# Run tests in check section
%bcond_without check

# https://github.com/ttacon/chalk
%global goipath         github.com/ttacon/chalk
%global commit          22c06c80ed312dcb6e1cf394f9634aa2c4676e22

%global common_description %{expand:
Chalk is a go package for styling console/terminal output.}

%gometa

Name:           %{goname}
Version:        0.1
Release:        0.1%{?dist}
Summary:        Intuitive package for prettifying terminal/console output
License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

%description
%{common_description}


%package devel
Summary:       %{summary}
BuildArch:     noarch

%description devel
%{common_description}

This package contains library source intended for
building other packages which use import path with
%{goipath} prefix.


%prep
%forgeautosetup


%install
%goinstall


%if %{with check}
%check
%gochecks
%endif


%files devel -f devel.file-list
%license LICENSE
%doc README.md


%changelog
* Sun Mar 03 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.1-0.1.20190306git22c06c8
- First package for Fedora

